<button md-raised-button (click)="showChildModal()"><i class="fa fa-cloud-upload" aria-hidden="true"></i> Upload file with products UPC <span class="badge">{{ files.length }}</span></button>
<div bsModal #childModal="bs-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-md">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title pull-left">Upload .csv file</h4>
        <button type="button" class="close pull-right" aria-label="Close" (click)="hideChildModal()">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
          <div class="container-fluid">
              <app-dnd [fileList]="files"></app-dnd>
          </div>
      </div>
      <div class="modal-footer">
          <button md-raised-button (click)="upload()">Upload</button>
      </div>
    </div>
  </div>
</div>